Pod::Spec.new do |s|
  s.name             = 'WebIdPluginCore'
  s.version          = '20.0.0-SNAPSHOT'
  s.summary          = 'The WebID plugin core for iOS. Requires the WebIdIosSDK!'

  s.homepage         = 'https://webid-solutions.de/'
  s.license          = { :type => 'Commercial', :text => 'Copyright (C) 2013 - 2024 WebID  Solutions GmbH | www.webid-solutions.de. All Rights Reserved' }
  s.author           = { 'WebID Solutions GmbH' => 'it-service@webid-solutions.de' }
  
  s.platform         = :ios
  s.source           = { :http => 'https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdPluginCore/20.0.0/WebIdPluginCore.framework-v20.0.0-SNAPSHOT-312.zip', :sha256 => 'dca29c1f8fb0707e7245667cc0357b8a2aa0c759e11d80d540466d6c58b1b74c' }
  s.swift_versions   = ['5.5']
  
  s.frameworks       = 'UIKit'

  s.ios.deployment_target = '13.0'
  s.ios.vendored_frameworks = 'WebIdPluginCore.xcframework'

  s.dependency "WebIdUiKitComponents", "20.0.0-SNAPSHOT" #branch:redesign-v4-snapshots
  s.dependency "WebIdIosSdk", "~> 11.3.2"
end
