Pod::Spec.new do |s|
  s.name             = 'WebIdPluginCore'
  s.version          = '20.0.1-SNAPSHOT'
  s.summary          = 'The WebID plugin core for iOS. Requires the WebIdIosSDK!'

  s.homepage         = 'https://webid-solutions.de/'
  s.license          = { :type => 'Commercial', :text => 'Copyright (C) 2013 - 2024 WebID  Solutions GmbH | www.webid-solutions.de. All Rights Reserved' }
  s.author           = { 'WebID Solutions GmbH' => 'it-service@webid-solutions.de' }
  
  s.platform         = :ios
  s.source           = { :http => 'https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdPluginCore/20.0.1/WebIdPluginCore.framework-v20.0.1-SNAPSHOT-318.zip', :sha256 => 'd97e1c4e34463d80c3e3b2a3af6889b0248deadcdaf09592bac4bafc2b4813f5' }
  s.swift_versions   = ['5.5']
  
  s.frameworks       = 'UIKit'

  s.ios.deployment_target = '13.0'
  s.ios.vendored_frameworks = 'WebIdPluginCore.xcframework'

  s.dependency "WebIdUiKitComponents", "20.0.1-SNAPSHOT" #branch:redesign-v4-snapshots
  s.dependency "WebIdIosSdk", "12.0.1-SNAPSHOT" #branch:snapshots
end
